> For the complete documentation index, see [llms.txt](https://docs.tetu.io/tetu-io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tetu.io/tetu-io/technical/updates/tetu.io-contracts-update-1.1.0.md).

# Tetu.io contracts update 1.1.0

The goal of the update adds reward boost functionality and prepare contracts for the Zapping solution.

Contract addresses:

new announcer logic - 0x12e4a470Ed725a0450D543C41006DA678809B2b8

new controller logic - 0x2B2105f79d91196091502476d7F00d482d223Db3

vault controller - 0xC5b3aF6FB4b2ff14642e337F41B86C9494f70b43

new vaultLogic - 0x52646dfb3E1D540D85DC32223A220a6F9c7eD759

Changes <https://github.com/tetu-io/tetu-contracts/compare/release-1.0.0...release-1.1.0>

### Base contract changes  <a href="#base-contract-changes" id="base-contract-changes"></a>

#### Announcer  <a href="#announcer" id="announcer"></a>

Added announce function for single uint256 variables

Added announce function for stopping vaults

Fixed minor bug for the clear announces function. Now clear announce don't change array ordering and opHash code for multiple announces can be fetched normally.

The clear function is now able to call for DAO address.

#### Controller  <a href="#controller" id="controller"></a>

Moved changeVaultsStatuses, addRewardTokens, removeRewardTokens functions to VaultController. The reason - space in the controller ended.

Added VaultController address functionality

Added recipient address for controllerTokenMove function - require for moving tokens from disabled vaults directly to NotifyHelper

#### New contract - VaultController + VaultControllerStorage  <a href="#new-contract-vaultcontroller-2b-vaultcontrollerstorage" id="new-contract-vaultcontroller-2b-vaultcontrollerstorage"></a>

Similar contract as Controller.

Will contain governance functions specified for vaults.

Old non-time-locked functions: changeVaultsStatuses, addRewardTokens, removeRewardTokens

New time-locked function: setRewardBoostDuration, setRewardRatioWithoutBoost, stopVault

#### SmartVault  <a href="#smartvault" id="smartvault"></a>

Boost Reward functionality added.

Functions: changeActivityStatus, addRewardToken, removeRewardToken now able to call only from VaultController.

Added to function: notifyTargetRewardAmount additional overflow checking.

Added stop function. This action will move all reward tokens to the controller contract.

### Infrastucture contract changes  <a href="#infrastucture-contract-changes" id="infrastucture-contract-changes"></a>

Added new contracts ZapContract and MultiSwap

More details in [Tetu Zap Solution](https://docs.tetu.io/tetu-io/yield-farm/tetu-zap-solution)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tetu.io/tetu-io/technical/updates/tetu.io-contracts-update-1.1.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
